Bug 1461063 - [abrt] dnfdragora: YMGA_GCBTable::tree_sort_cb(): python3.5 killed by SIGABRT
[abrt] dnfdragora: YMGA_GCBTable::tree_sort_cb(): python3.5 killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnfdragora (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:347f81994ce0f66e369120f8b47...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 08:43 EDT by Mike Simms
Modified: 2018-01-01 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-31 16:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (145.91 KB, text/plain)
2017-06-13 08:43 EDT, Mike Simms
no flags Details
File: cgroup (242 bytes, text/plain)
2017-06-13 08:43 EDT, Mike Simms
no flags Details
File: core_backtrace (28.10 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: dso_list (16.80 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: environ (1.37 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: maps (78.87 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: mountinfo (3.60 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: open_fds (794 bytes, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-06-13 08:44 EDT, Mike Simms
no flags Details

  None (edit)
Description Mike Simms 2017-06-13 08:43:47 EDT
Description of problem:
searching for packages with dnfdragora-gui

Version-Release number of selected component:
dnfdragora-1.0.1-5.git20170505.2a3b056.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: YMGA_GCBTable::tree_sort_cb
executable:     /usr/bin/python3.5
global_pid:     23510
kernel:         4.11.3-202.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 YMGA_GCBTable::tree_sort_cb at /usr/src/debug/libyui-mga-gtk-22f2cf6d73b393954baf79a986f7c161651b453c/src/YMGA_GCBTable.cc:640
 #8 gtk_list_store_compare_func at gtkliststore.c:1944
 #9 node_find_closest at gsequence.c:1779
 #10 node_insert_sorted at gsequence.c:2017
 #11 g_sequence_sort_iter at gsequence.c:894
 #12 gtk_list_store_sort at gtkliststore.c:1971
 #13 gtk_tree_view_column_sort at gtktreeviewcolumn.c:1195
 #14 _g_closure_invoke_va at gclosure.c:867
 #16 g_signal_emit_by_name at gsignal.c:3487
 #17 _g_closure_invoke_va at gclosure.c:867
Comment 1 Mike Simms 2017-06-13 08:43:56 EDT
Created attachment 1287268 [details]
File: backtrace
Comment 2 Mike Simms 2017-06-13 08:43:57 EDT
Created attachment 1287269 [details]
File: cgroup
Comment 3 Mike Simms 2017-06-13 08:44:00 EDT
Created attachment 1287270 [details]
File: core_backtrace
Comment 4 Mike Simms 2017-06-13 08:44:02 EDT
Created attachment 1287271 [details]
File: dso_list
Comment 5 Mike Simms 2017-06-13 08:44:03 EDT
Created attachment 1287272 [details]
File: environ
Comment 6 Mike Simms 2017-06-13 08:44:05 EDT
Created attachment 1287273 [details]
File: limits
Comment 7 Mike Simms 2017-06-13 08:44:08 EDT
Created attachment 1287274 [details]
File: maps
Comment 8 Mike Simms 2017-06-13 08:44:10 EDT
Created attachment 1287275 [details]
File: mountinfo
Comment 9 Mike Simms 2017-06-13 08:44:11 EDT
Created attachment 1287276 [details]
File: namespaces
Comment 10 Mike Simms 2017-06-13 08:44:13 EDT
Created attachment 1287277 [details]
File: open_fds
Comment 11 Mike Simms 2017-06-13 08:44:14 EDT
Created attachment 1287278 [details]
File: proc_pid_status
Comment 12 Mike Simms 2017-06-13 08:44:16 EDT
Created attachment 1287279 [details]
File: var_log_messages
Comment 13 Fedora Update System 2017-12-29 19:36:36 EST
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06
Comment 14 Fedora Update System 2017-12-29 19:38:31 EST
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b
Comment 15 Fedora Update System 2017-12-30 15:03:12 EST
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06
Comment 16 Fedora Update System 2017-12-30 15:48:54 EST
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b
Comment 17 Fedora Update System 2017-12-31 16:37:31 EST
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2018-01-01 17:20:41 EST
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.